Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.proxy.container
Class ContainerProxyMethodInvocation

    java.lang.Object
      org.jboss.aop.joinpoint.InvocationBase
          org.jboss.aop.joinpoint.MethodInvocation
              org.jboss.aop.proxy.container.ContainerProxyMethodInvocation

All Implemented Interfaces:
  Externalizable, Invocation, Serializable

public class ContainerProxyMethodInvocation
extends MethodInvocation

MethodInvocation allowing storage of the generated proxy

Version:
  $Revision: 1.3 $
Author:
  Kabir Khan
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.aop.joinpoint.MethodInvocation
`advisedMethod, arguments, marshalledArguments, methodHash, unadvisedMethod`

Fields inherited from class org.jboss.aop.joinpoint.InvocationBase
`advisor, currentInterceptor, instanceResolver, interceptors, metadata, responseContextInfo, targetObject`

Constructor Summary
`ContainerProxyMethodInvocation(MethodInfo info, Interceptor[] interceptors, AspectManaged proxy)`

Method Summary
`Object[]` | `getArguments()`
`AspectManaged` | `getProxy()`

Methods inherited from class org.jboss.aop.joinpoint.MethodInvocation
`copy, getActualMethod, getAdvisor, getMetaData, getMethod, getMethodHash, getWrapper, handleErrors, invokeNext, readExternal, resolveAnnotation, resolveAnnotation, setArguments, toString, writeExternal`

Methods inherited from class org.jboss.aop.joinpoint.InvocationBase
`addResponseAttachment, getCurrentInterceptor, getInstanceResolver, getInterceptors, getMetaData, getResponseAttachment, getResponseContextInfo, getTargetObject, invokeNext, resolveClassAnnotation, resolveClassMetaData, setAdvisor, setInstanceResolver, setMetaData, setResponseContextInfo, setTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContainerProxyMethodInvocation

    public ContainerProxyMethodInvocation(MethodInfo info,
                                          Interceptor[] interceptors,
                                          AspectManaged proxy)

Method Detail

### getProxy

    public AspectManaged getProxy()

### getArguments

    public Object[] getArguments()

  Overrides:
    `getArguments` in class `MethodInvocation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.